| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
jcapimin.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Macros
#define | JPEG_INTERNALS

## Functions
| jpeg_CreateCompress (j_compress_ptr cinfo, int version, size_t structsize)
| jpeg_destroy_compress (j_compress_ptr cinfo)
| jpeg_abort_compress (j_compress_ptr cinfo)
| jpeg_suppress_tables (j_compress_ptr cinfo, boolean suppress)
| jpeg_finish_compress (j_compress_ptr cinfo)
| jpeg_write_marker (j_compress_ptr cinfo, int marker, const JOCTET *dataptr, unsigned int datalen)
| jpeg_write_m_header (j_compress_ptr cinfo, int marker, unsigned int datalen)
| jpeg_write_m_byte (j_compress_ptr cinfo, int val)
| jpeg_write_tables (j_compress_ptr cinfo)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 19 of file jcapimin.c.

## Function Documentation

jpeg_abort_compress | ( | j_compress_ptr | cinfo | ) |

Definition at line 100 of file jcapimin.c.

jpeg_CreateCompress | ( | j_compress_ptr | cinfo,
|  | int | version,
|  | size_t | structsize
| ) |  |

Definition at line 30 of file jcapimin.c.

jpeg_destroy_compress | ( | j_compress_ptr | cinfo | ) |

Definition at line 88 of file jcapimin.c.

jpeg_finish_compress | ( | j_compress_ptr | cinfo | ) |

Definition at line 147 of file jcapimin.c.

jpeg_suppress_tables | ( | j_compress_ptr | cinfo,
|  | boolean | suppress
| ) |  |

Definition at line 119 of file jcapimin.c.

jpeg_write_m_byte | ( | j_compress_ptr | cinfo,
|  | int | val
| ) |  |

Definition at line 226 of file jcapimin.c.

jpeg_write_m_header | ( | j_compress_ptr | cinfo,
|  | int | marker,
|  | unsigned int | datalen
| ) |  |

Definition at line 214 of file jcapimin.c.

jpeg_write_marker | ( | j_compress_ptr | cinfo,
|  | int | marker,
|  | const JOCTET * | dataptr,
|  | unsigned int | datalen
| ) |  |

Definition at line 192 of file jcapimin.c.

jpeg_write_tables | ( | j_compress_ptr | cinfo | ) |

Definition at line 254 of file jcapimin.c.